function joinPath(a, b) {
	var aParts = a.split('/');
	var bParts = b.split('/');
	
	if (aParts.length > 0) 
		aParts.pop();
		
	for (var i = 0; i < bParts.length; i++) {
		if (bParts[i] == '..')
			aParts.pop();
		else
			aParts.push(bParts[i]);
	}
	
	return aParts.join('/');
}

$(document).ready(function() {	
	if (!window.top.toc) {
		//Figure out relative path to index.html
		var commonJsScript = $('script').filter(function() {
			return this.src && this.src.indexOf('common/topic.js') >= 0;
		});
		var src = commonJsScript.attr('src');
		var prefix = '';
		if (src) {
			while (true) {
				var pathOffset = src.indexOf('../');
				if (pathOffset != 0)
					break;
					
				prefix += '../';
				src = src.substring(3);
			}
			
			src = src.substring(0, pathOffset);			
		}
		window.top.location.href = joinPath(window.location.href, prefix + 'index.html') + '#' + window.location.href;
	}
	
	$('.api-toggle').click(function(e) {
		var divId = e.target.id.substring(0, e.target.id.length - '_link'.length + 1);
		
		document.getElementById(divId).style.display = (document.getElementById(divId).style.display == 'none') ? 'block' : 'none';	
	
		var imageElement = document.getElementById(divId + "_img");	
		imageElement.src = (imageElement.src.indexOf('plus.gif') >= 0) ? imageElement.src.replace('plus.gif', 'minus.gif') : imageElement.src.replace('minus.gif', 'plus.gif');
	
		e.preventDefault();
	});
	
	$('a').click(function(e) {
		var href = $(this).attr('href');
		if (href) {
			var target = $(this).attr('target');
			
			if (href.charAt(0) == '#') {
				//Do nothing				
			} else if (!target && href.indexOf('http') != 0 && href.indexOf('mail') != 0) {
				var title = null;
				window.top.postMessage({'relativePath' : href, 'title' : title}, '*');
				e.preventDefault();
			}
		}
	});
});

var dge = document.getElementById;

function cl_expcol(a) {

	if (!dge) return;

	document.getElementById(a).style.display = (document.getElementById(a).style.display == 'none') ? 'block' : 'none';
	
	swap_exp_col_img(a);
}

function swap_exp_col_img(imgID) {
	var e = document.getElementById(imgID + "_img");
	
	var backslashIndex = e.src.lastIndexOf('/');
	
	var filename = e.src.substring(backslashIndex);
	var path = e.src.substring(0, backslashIndex);
				
	if (filename == '/plus.gif')
		e.src = path + '/minus.gif';
	else
		e.src = path + '/plus.gif';
}
